Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class AbstractGrailsControllerHelper

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractGrailsControllerHelper

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, GrailsApplicationAware, org.springframework.web.context.ServletContextAware

    public abstract class AbstractGrailsControllerHelper
    extends java.lang.Object

Processes Grails controller requests and responses.

Authors:
  Graeme Rocher
  Stephane Maldini

Since:
  2.0

Field Summary
`protected GrailsApplication` | `application`
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected boolean` | `developmentMode`
`protected GrailsApplicationAttributes` | `grailsAttributes`
`protected javax.servlet.ServletContext` | `servletContext`

Method Summary
`protected org.springframework.web.servlet.ModelAndView` | `executeAction(groovy.lang.GroovyObject controller, java.lang.String actionName, java.lang.String viewName, GrailsWebRequest webRequest, java.util.Map params)`
`GrailsControllerClass` | `getControllerClassByName(java.lang.String name)`
`GrailsControllerClass` | `getControllerClassByURI(java.lang.String uri)`
`groovy.lang.GroovyObject` | `getControllerInstance(GrailsControllerClass controllerClass)`
`GrailsApplicationAttributes` | `getGrailsAttributes()`
`javax.servlet.ServletContext` | `getServletContext()`
`java.lang.Object` | `handleAction(groovy.lang.GroovyObject controller, java.lang.Object action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.Object` | `handleAction(groovy.lang.GroovyObject controller, java.lang.Object action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)`
`org.springframework.web.servlet.ModelAndView` | `handleActionResponse(groovy.lang.GroovyObject controller, java.lang.Object returnValue, GrailsWebRequest webRequest, java.util.Map chainModel, java.lang.String closurePropertyName, java.lang.String viewName)`
`org.springframework.web.servlet.ModelAndView` | `handleURI(java.lang.String uri, GrailsWebRequest request)`
`org.springframework.web.servlet.ModelAndView` | `handleURI(java.lang.String originalUri, GrailsWebRequest grailsWebRequest, java.util.Map params)`
`protected java.lang.Object` | `invoke(groovy.lang.GroovyObject controller, java.lang.Object action)`
`protected java.lang.Object` | `retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setGrailsApplication(GrailsApplication application)`
`void` | `setServletContext(javax.servlet.ServletContext servletContext)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected GrailsApplication application

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### developmentMode

    protected boolean developmentMode

### grailsAttributes

    protected GrailsApplicationAttributes grailsAttributes

### servletContext

    protected javax.servlet.ServletContext servletContext

Method Detail

### executeAction

    @java.lang.SuppressWarningsHttpServletResponse response = webRequest.getCurrentResponse();
    protected org.springframework.web.servlet.ModelAndView executeAction(groovy.lang.GroovyObject controller, java.lang.String actionName, java.lang.String viewName, GrailsWebRequest webRequest, java.util.Map params)

### getControllerClassByName

    public GrailsControllerClass getControllerClassByName(java.lang.String name)

### getControllerClassByURI

    public GrailsControllerClass getControllerClassByURI(java.lang.String uri)

### getControllerInstance

    public groovy.lang.GroovyObject getControllerInstance(GrailsControllerClass controllerClass)

### getGrailsAttributes

    public GrailsApplicationAttributes getGrailsAttributes()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### handleAction

    public java.lang.Object handleAction(groovy.lang.GroovyObject controller, java.lang.Object action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

### handleAction

    @java.lang.SuppressWarnings
    public java.lang.Object handleAction(groovy.lang.GroovyObject controller, java.lang.Object action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)

### handleActionResponse

    @java.lang.SuppressWarnings
    public org.springframework.web.servlet.ModelAndView handleActionResponse(groovy.lang.GroovyObject controller, java.lang.Object returnValue, GrailsWebRequest webRequest, java.util.Map chainModel, java.lang.String closurePropertyName, java.lang.String viewName)

### handleURI

    public org.springframework.web.servlet.ModelAndView handleURI(java.lang.String uri, GrailsWebRequest request)

### handleURI

    @java.lang.SuppressWarnings("rawtypes")
    public org.springframework.web.servlet.ModelAndView handleURI(java.lang.String originalUri, GrailsWebRequest grailsWebRequest, java.util.Map params)

### invoke

    protected java.lang.Object invoke(groovy.lang.GroovyObject controller, java.lang.Object action)

### retrieveAction

    protected java.lang.Object retrieveAction(groovy.lang.GroovyObject controller, java.lang.String actionName, javax.servlet.http.HttpServletResponse response)

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

Groovy Documentation